/* Zakaa Mneimneh
 * 201301570
 * Exercise 4
 */

public class InsertionSort {
	public static void main(String[] args) {
		int[] input = { 16, 4, 22, 34, 0, 7, 55, -1, 11 };
        insertionSort(input);
		printArray(input);
		int[] newArray = insertionSort2(input);
		printArray(newArray);
	}
	//sorting input in increasing order
	public static void insertionSort(int[] a){
		int x = 0;
		for(int i = 1; i < a.length; i++){
			x = i;
			while((x >= 1) && (a[x] < a[x - 1])){
				int temp = a[x - 1];//swap values depending on the order
				a[x - 1] = a[x];
				a[x] = temp;	
				x--;
			}
		}
	}
	//printing the array
	public static void printArray(int[] a){
		for (int i = 0; i < a.length; i++)
			System.out.print(a[i] + " ");
		System.out.println("");
	}
	public static int[] insertionSort2(int[] a){
		int[] newArray = new int[a.length];
		for (int i = 0; i < newArray.length; i++)
			newArray[i] = a[i];
		// Using insertionSort method
		insertionSort(newArray);
		return newArray;
	}
}
