/* Zakaa Mneimneh
 * 201301570
 * Exercise 5
 */

import java.awt.*; 
import java.util.Scanner;

public class Face {

	public static void main(String[] args) {	
		Scanner scan = new Scanner(System.in);
		System.out.print("Enter the x coordinate of the face: ");
		int x= scan.nextInt();
		System.out.print("Enter the y coordinate of the face: ");
		int y= scan.nextInt();
		System.out.print("Enter the size of the face: ");
		int size= scan.nextInt();
		scan.nextLine();
		System.out.print("Are you Happy, Sad, or Fine? ");
		String mood= scan.nextLine();
		DrawingPanel panel = new DrawingPanel(500, 500);
		Graphics g = panel.getGraphics(); 
		drawFace(g,x,y,size,mood);
	}
	public static void drawFace(Graphics g, int x, int y, int size, String mood){
		int x1 = 25*size/100; // to draw the eye inside the face, we move 25% of the size
		int side = size/10; // height and width of the eye is size/10
		int space = size*30/100; //space between the two eyes is always 30% of the size
		int fE1= x1+side; // point at which we finish eye 1
		g.setColor(Color.YELLOW); 
		g.fillOval(x, y, size, size); 
		g.setColor(Color.BLUE); 
		g.fillOval(x+x1, y+x1, side, side);
		g.fillOval(x+fE1+space, y+x1, side, side);	
		if (mood.equals("Sad")){
			g.setColor(Color.RED);
			g.drawArc(x+fE1,y+fE1+space/2,space,space,0,180);}
		else if (mood.equals("Happy")){
			g.setColor(Color.RED);
			g.drawArc(x+fE1,y+fE1+space/2,space,space,0,-180);}
		else if (mood.equals("Fine")){
			g.setColor(Color.RED);
			g.drawLine(x+fE1, y+fE1+space,  x+fE1+space, y+fE1+space);}
			else {System.out.print("Unknown	Mood!");
			}
	}
}

